Metacat - Task #5930
Feature # 5810 (Closed): Implement SOLR-based search

Add a configuration property to turn on/off the indexing processes (SOLR indexing)
04/30/2013 03:24 PM - Jing Tao

Status: Closed Start date: 04/30/2013
Priority: Normal Due date:

Assignee: Jing Tao % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.1.0 Spent time: 0.00 hour
Description

So that Metacat installations can decide which (or both) they want to use.

The proposed the property is:
dbquery.enabledEngines=pathquery,solr

The default value is both on.

Related issues:
Related to Metacat - Feature #6033: Add configuration to disable 'pathquery’ Closed 07/09/2013

History

#1 - 05/02/2013 03:12 PM - Jing Tao
- Parent task set to #5810

#2 - 06/13/2013 05:35 PM - Jing Tao

If we removed the "solr" from the engine list, metacat-index will not build index anymore. And the solr query will be disabled as well.

The pathquery hasn't been done yet. Here is the idea: if we turn the "pathquery" off, the building index for both xml_index and xml_path_index will be
off. But we need to make sure this will not break the metacat.

#3 - 07/02/2013 12:50 PM - Jing Tao

- Tracker changed from Bug to Feature

#4 - 07/09/2013 01:59 PM - ben leinfelder

- Subject changed from Add a configuration property to turn on/off the indexing processes (both pathquery indexing and the new SOLR indexing) to
Add a configuration property to turn on/off the indexing processes (SOLR indexing)

- Status changed from New to Closed
